Bug 705264 - Recent logrotate change to use reopen_logs needs fixing
Summary: Recent logrotate change to use reopen_logs needs fixing
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nginx
Version: rawhide
Hardware: All
OS: All
unspecified
low
Target Milestone: ---
Assignee: Jamie Nguyen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-05-17 08:10 UTC by Matthias Saou
Modified: 2012-05-31 01:15 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-05-24 23:52:54 UTC


Attachments (Terms of Use)

Description Matthias Saou 2011-05-17 08:10:40 UTC
Recently, the nginx logrotate file was updated to use :

    postrotate
        /etc/init.d/nginx reopen_logs
    endscript

This produces the following useless email every time logs are rotated :

--8<--
From: root (Cron Daemon)
To: root
Subject: Cron <root> run-parts /etc/cron.daily

/etc/cron.daily/logrotate:

Reopening nginx logs: [  OK  ]
--8<--

The typical accepted workaround is to use &>/dev/null or similar in the logrotate file.

Comment 1 Fedora Update System 2012-05-14 18:39:33 UTC
nginx-1.0.15-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/nginx-1.0.15-2.fc16

Comment 2 Fedora Update System 2012-05-14 18:40:54 UTC
nginx-1.0.15-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/nginx-1.0.15-2.fc15

Comment 3 Fedora Update System 2012-05-14 18:41:47 UTC
nginx-1.0.15-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/nginx-1.0.15-2.el6

Comment 4 Jamie Nguyen 2012-05-14 18:44:07 UTC
Sorry for the long delay in fixing. I had not seen this bug report before.

This should resolve the issue :)

Comment 5 Fedora Update System 2012-05-15 23:28:42 UTC
Package nginx-1.0.15-2.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing nginx-1.0.15-2.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-7917/nginx-1.0.15-2.fc15
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2012-05-24 23:52:54 UTC
nginx-1.0.15-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2012-05-24 23:57:21 UTC
nginx-1.0.15-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2012-05-31 01:15:57 UTC
nginx-1.0.15-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.